// This is a part of the GWC Library
// Copyright (C) 2001-2002 Aircom software
// All rights reserved.
//
// This source code can be used, distributed or modified
// free of charge only if this header copyright is not removed.
// In other cases, contact us at:
// web:   http://www.aircom.org
// email: info@aircom.org
//

#ifndef __GWCCOLORFUNC_H
#define __GWCCOLORFUNC_H

#include "GWCCCELink.h"

extern int Round(double val);

class GWCCCECTRL_LINKAGE GWCColorFunc  
{
	public:
		GWCColorFunc() {}
		virtual ~GWCColorFunc() {}

	// Operations
	protected:
		static double HueToRGB(double m1, double m2, double h);

	public:
		static COLORREF HSLtoRGB(double H, double S, double L);
		static void RGBtoHSL(COLORREF rgb, double *H, double *S, double *L);
};

#endif // __GWCCOLORFUNC_H
